body {
    background-image: repeating-radial-gradient(rgb(0, 0, 0), rgb(34, 193, 193));
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;

}

h1 {
    color: white;
    text-align: center;
    margin-bottom: 50px;
}

form {
    padding: 30px;
    margin: 20px;
    background-color: rgb(181, 169, 157);
    border-radius: 5px;
    box-shadow: 0px 0px 22px rgb(0, 0, 0);
    backdrop-filter: blur(10px);
}

input {
    margin: 10px 5px;
    width: 70%;
    background-color: rgb(255, 255, 255);
    outline: none;
    border: none;
    border-radius: 5px;
    background-color: gainsboro;
    font-size: 25px;
    transition: all 0.3s ease-out;
    padding: 5px 15px;

}

input:focus {
    border-radius: 20px;
    border-bottom: 3px solid rgb(0, 0, 0);
    background-color: rgb(158, 253, 255, );
}

button {
    position: relative;
    top: 5px;
    background-color: transparent;
    border: none;
    transition: translateX .3s ease;
}

button:hover {
    transform: translatey(-2px);
}

#data{
    display: flex;
    flex-direction: column;
    align-items: center;
}
#data img{
    width: 180px;
}
#data #temp{
    color: white;
    font-size: 4rem;
}
#data #minmax{
    width: 100%;
    margin: 10px;
    display: flex;
    font-size: 1.8rem;
    justify-content: space-evenly;
}
p{
    color: rgb(40, 1, 15);
    display: inline;
    font-size: 1.5rem;
}
#wind{
    font-size: 1.8rem;
    margin: 10px;
}
#loading div{
    margin-top: 30px;
    width: 100px;
    height: 100px;
}
.red{
    position: absolute;
    border: 3px solid red;
   animation: rotatered 1s ease infinite;
}
.blue{
    animation: rotateGreen 1s ease infinite;
    border: 3px solid green;
}
@keyframes rotatered {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(-90deg);
    }
}


@keyframes rotateGreen {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(90deg);
    }
}
#err{
    color: red;
    font-size: 1.8rem;
    margin-top: 20px;
}